Receving Account

Apply receving account

POST /v1/accounts/receiving-account

{
  "payer_id": "<string>",
  "currnecy": "<string>",
  "bank_location": "<string>",
  "usages": ["<string>"],
  "purpose_code": "<string>",
  "month_sale_volume": "<string>"
}

Path parameters

ParameterTypeRequiredDescription
payer_idstringYesThe payer_id of your seller's PingPong account.
currencystringYesThe currency code. See section Appendix B - Currency Codes for the currencyies enum.
bank_locationstringNoNo need to specify or 'Hong Kong'.
usagesarrayNoPlatforms that you will use the account for.
purpose_codestringNoThe purpose code is most accurately describes your business transactions. required if the payer is Indian.
month_sale_volumestringNoEstimated total monthly sales volume.

Response

A successful request returns the HTTP 201 Created status code and a JSON response body that shows the ID and details for the account.

Different currencies have different receiving account information, please refer to section Appenidx E - Receiving Account Response

{...}

Query receving accounts

GET /v1/accounts/receiving-account/{payer_id}/{currency}

{
  "balance": "<numeric>",
  "accounts"; ["<account-id>", "<account-id>"]
}

The balance of receiving currencies and allocated virtual accounts

Query receving account detail

GET /v1/payments/receving-account/{account_id}

Different currencies have different receiving account information, please refer to section

Appenidx E - Receiving Account Response

{...}